const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWallet = {
FundsType: 'FEES',
Currency: 'EUR',
}
const listTransactionsClientWallet = async (fundsType, currency) => {
return await mangopay.Clients.getClientWalletTransactions(fundsType, currency)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listTransactionsClientWallet(myWallet.FundsType, myWallet.Currency)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listClientWalletTransactions(fundsType, currency)
begin
response = MangoPay::Client.fetch_wallet_transactions(fundsType, currency)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch wallet transactions: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myClientWallet = {
FundsType: 'FEES',
Currency: 'EUR'
}
listClientWalletTransactions(myClientWallet[:FundsType], myClientWallet[:Currency])
import com.mangopay.MangoPayApi;
import com.mangopay.core.Money;
import com.mangopay.core.Pagination;
import com.mangopay.core.enumerations.CurrencyIso;
import com.mangopay.core.enumerations.FundsType;
import com.mangopay.entities.Wallet;
public class ListClientWalletTransactions {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
List<Transaction> clientTransactions = mangopay.getClientApi().getWalletTransactions(FundsType.CREDIT, CurrencyIso.EUR, new Pagination(1, 100), null, null);
for (Transaction clientTransaction : clientTransactions) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(updateUbo);
System.out.println(clientTransaction);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import ClientWallet, Transaction
client_wallet = ClientWallet.get(funds_type = 'FEES', currency = 'GBP')
transactions = Transaction.all(user_id = mangopay.client_id, wallet_id = client_wallet.id)
for transaction in transactions:
pprint(vars(transaction))
[
{
"Id": "po_m_01HY343CF0KFEPKFJ0QZ4HZ2VK",
"Tag": "Custom data",
"CreationDate": 1715944403,
"AuthorId": "ExampleClientId",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1715944624,
"Type": "PAYOUT",
"Nature": "REGULAR",
"CreditedWalletId": null,
"DebitedWalletId": "FEES_EUR",
"DepositId": null
},
{
"Id": "cvr_01J2BS3XE0JE9F05MM5B6VCT15",
"Tag": "Custom data",
"CreationDate": 1720529843,
"AuthorId": "ExampleClientId",
"CreditedUserId": "ExampleClientId",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 2617
},
"CreditedFunds": {
"Currency": "USD",
"Amount": 2830
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1720529845,
"Type": "CONVERSION",
"Nature": "REGULAR",
"CreditedWalletId": "FEES_USD",
"DebitedWalletId": "FEES_EUR",
"DepositId": null
}
]
Transactions
List Transactions for a Client Wallet
GET
/
v2.01
/
{ClientId}
/
clients
/
wallets
/
{FundsType}
/
{Currency}
/
transactions
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWallet = {
FundsType: 'FEES',
Currency: 'EUR',
}
const listTransactionsClientWallet = async (fundsType, currency) => {
return await mangopay.Clients.getClientWalletTransactions(fundsType, currency)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listTransactionsClientWallet(myWallet.FundsType, myWallet.Currency)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listClientWalletTransactions(fundsType, currency)
begin
response = MangoPay::Client.fetch_wallet_transactions(fundsType, currency)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch wallet transactions: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myClientWallet = {
FundsType: 'FEES',
Currency: 'EUR'
}
listClientWalletTransactions(myClientWallet[:FundsType], myClientWallet[:Currency])
import com.mangopay.MangoPayApi;
import com.mangopay.core.Money;
import com.mangopay.core.Pagination;
import com.mangopay.core.enumerations.CurrencyIso;
import com.mangopay.core.enumerations.FundsType;
import com.mangopay.entities.Wallet;
public class ListClientWalletTransactions {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
List<Transaction> clientTransactions = mangopay.getClientApi().getWalletTransactions(FundsType.CREDIT, CurrencyIso.EUR, new Pagination(1, 100), null, null);
for (Transaction clientTransaction : clientTransactions) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(updateUbo);
System.out.println(clientTransaction);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import ClientWallet, Transaction
client_wallet = ClientWallet.get(funds_type = 'FEES', currency = 'GBP')
transactions = Transaction.all(user_id = mangopay.client_id, wallet_id = client_wallet.id)
for transaction in transactions:
pprint(vars(transaction))
[
{
"Id": "po_m_01HY343CF0KFEPKFJ0QZ4HZ2VK",
"Tag": "Custom data",
"CreationDate": 1715944403,
"AuthorId": "ExampleClientId",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1715944624,
"Type": "PAYOUT",
"Nature": "REGULAR",
"CreditedWalletId": null,
"DebitedWalletId": "FEES_EUR",
"DepositId": null
},
{
"Id": "cvr_01J2BS3XE0JE9F05MM5B6VCT15",
"Tag": "Custom data",
"CreationDate": 1720529843,
"AuthorId": "ExampleClientId",
"CreditedUserId": "ExampleClientId",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 2617
},
"CreditedFunds": {
"Currency": "USD",
"Amount": 2830
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1720529845,
"Type": "CONVERSION",
"Nature": "REGULAR",
"CreditedWalletId": "FEES_USD",
"DebitedWalletId": "FEES_EUR",
"DepositId": null
}
]
This call returns all the transactions targeting or emitted from a Client Wallet, for example:
- Fees payouts made from the Fees Wallet (
FEES_CCY) - Repudiations and settlements made from or to the Repudiation Wallet (
CREDIT_CCY) - Conversions between Client Wallets
Path parameters
string
required
Allowed values:
FEES, CREDITThe type of funds in the Client Wallet:FEES– Fees Wallet, for fees collected by the platform, specific to the Client Wallet object.CREDIT– Repudiation Wallet, for funds for the platform’s dispute management, specific to the Client Wallet object.
string
required
Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the wallet.
Responses
200
200
array
The list of transactions created by the platform.
Show properties
Show properties
object
The transaction created by the platform.
Show properties
Show properties
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
object
Information about the debited funds.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the debited funds (the sell currency).
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).During a conversion, (DebitedFunds.Amount - Fees) * MarketRate = CreditedFunds.Amount. object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
The type of transaction.
string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
The unique identifier of the debited wallet.
[
{
"Id": "po_m_01HY343CF0KFEPKFJ0QZ4HZ2VK",
"Tag": "Custom data",
"CreationDate": 1715944403,
"AuthorId": "ExampleClientId",
"CreditedUserId": null,
"DebitedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"CreditedFunds": {
"Currency": "EUR",
"Amount": 7836
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1715944624,
"Type": "PAYOUT",
"Nature": "REGULAR",
"CreditedWalletId": null,
"DebitedWalletId": "FEES_EUR",
"DepositId": null
},
{
"Id": "cvr_01J2BS3XE0JE9F05MM5B6VCT15",
"Tag": "Custom data",
"CreationDate": 1720529843,
"AuthorId": "ExampleClientId",
"CreditedUserId": "ExampleClientId",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 2617
},
"CreditedFunds": {
"Currency": "USD",
"Amount": 2830
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"Status": "SUCCEEDED",
"ResultCode": "000000",
"ResultMessage": "Success",
"ExecutionDate": 1720529845,
"Type": "CONVERSION",
"Nature": "REGULAR",
"CreditedWalletId": "FEES_USD",
"DebitedWalletId": "FEES_EUR",
"DepositId": null
}
]
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWallet = {
FundsType: 'FEES',
Currency: 'EUR',
}
const listTransactionsClientWallet = async (fundsType, currency) => {
return await mangopay.Clients.getClientWalletTransactions(fundsType, currency)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listTransactionsClientWallet(myWallet.FundsType, myWallet.Currency)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listClientWalletTransactions(fundsType, currency)
begin
response = MangoPay::Client.fetch_wallet_transactions(fundsType, currency)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch wallet transactions: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myClientWallet = {
FundsType: 'FEES',
Currency: 'EUR'
}
listClientWalletTransactions(myClientWallet[:FundsType], myClientWallet[:Currency])
import com.mangopay.MangoPayApi;
import com.mangopay.core.Money;
import com.mangopay.core.Pagination;
import com.mangopay.core.enumerations.CurrencyIso;
import com.mangopay.core.enumerations.FundsType;
import com.mangopay.entities.Wallet;
public class ListClientWalletTransactions {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
List<Transaction> clientTransactions = mangopay.getClientApi().getWalletTransactions(FundsType.CREDIT, CurrencyIso.EUR, new Pagination(1, 100), null, null);
for (Transaction clientTransaction : clientTransactions) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(updateUbo);
System.out.println(clientTransaction);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import ClientWallet, Transaction
client_wallet = ClientWallet.get(funds_type = 'FEES', currency = 'GBP')
transactions = Transaction.all(user_id = mangopay.client_id, wallet_id = client_wallet.id)
for transaction in transactions:
pprint(vars(transaction))
Was this page helpful?
⌘I